%define		subver	2016-04-26
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin		comment
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	DokuWiki plugin to add Add comments/notes to your wiki source
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/dokufreaks/plugin-comment/archive/153b1e8c/%{plugin}-%{version}.tar.gz
# Source0-md5:	59723717caa4becfa51a6c0f02f5387c
URL:		https://www.dokuwiki.org/plugin:comment
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20131208
Requires:	php(core) >= %{php_min_version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}

%description
This tiny plugin allows you to leave notes to yourself (and other
authors of your wiki) in the wiki source code that won't be shown on
the wiki page. The syntax is like C and PHP.

%prep
%setup -qc
mv *-%{plugin}-*/* .

%build
version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d '\r-')" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/{COPYING,README}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{plugindir}
%{plugindir}/*.php
%{plugindir}/*.txt
%changelog
* Sat Aug 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-comment.git;a=log;h=master

* Sat Aug 12 2017 Elan Ruusamäe <glen@pld-linux.org> 8c29605
- up to 20160426

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 07604f0
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Wed Apr 25 2012 Elan Ruusamäe <glen@pld-linux.org> 25b6442
- new

